`timescale 1ns / 1ps

// VERSION 1.1

module count(clk, out);
  input clk;
  output out;

  parameter n = 20;

  reg [n-1:0]q;
  reg out;

   initial begin
      q = 0;
      out = 0;
   end

  always @(posedge clk)    
     begin      
          q = q + 1;
          out = (q == 0);       
     end 
     
endmodule 
